Subject: Progress on DH Key Agreement

From: [email-masked] (Sam Hartman)
Date: Thu, 17 Jun 2004 17:37:21 -0400 (EDT)

I was at Microsoft earlier this week and while there sat down with
Larry to disguss the DH key agreement issue.  We came up with a
general approach for a solution involving the PRF from the crypto
draft to meet Larry's needs.  I agreed to look at the specification of
the PRF and come up with a proposal.

The problem we are trying to solve is effectively the cached DH
parameters problem.  We want to use static keys on the server (and
apparently client) to avoid the server needing to do public key
signatures and to minimize DH operations.  Thus we need to find a way
to make sure that some nonce from both the server and client is
included in the key.